Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Extensions/Webhooks

Get All Webhooks

get
/v3/extensions/event-webhooks

Returns all the webhooks of the organization. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
page-limitstringOptional
offsetstringOptional
Responses
200

The request has succeeded.

application/json
get/v3/extensions/event-webhooks
GET /v3/extensions/event-webhooks HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "result": [
      {
        "id": "text",
        "name": "text",
        "description": "text",
        "trigger_type": "text",
        "payload_type": "text",
        "custom_payload_template_name": "text"
      }
    ],
    "meta": {
      "total_count": 1
    }
  }
}

Create Webhook

post
/v3/extensions/event-webhooks

Add webhook to the organization. Returns the webhook object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Name of the webhook

descriptionstringOptional

Description of the webhook

headerobject · nullableOptional

Headers to be sent with the webhook

max_retryinteger · uint8Optional

Maximum number of retries for the webhook

teamsstring[] · nullableOptional

List of team IDs to which this webhook is applicable

is_all_teams_configuredbooleanOptional

Set to true if the webhook is configured for all teams

custom_payload_template_slugstringOptional

Slug of the custom payload template

languagestringOptional

Language for the webhook payload

mail_idsstring[] · nullableOptional

List of email IDs for notification

trigger_typestringRequired

Type of trigger

custom_payloadstringOptional

Custom payload for the webhook

payload_typestringOptional

Type of payload

Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/extensions/event-webhooks
POST /v3/extensions/event-webhooks HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 429

{
  "name": "text",
  "description": "text",
  "triggers": [
    {
      "event_class": "text",
      "event_type": "text"
    }
  ],
  "urls": [
    {
      "url": "text",
      "method": "text"
    }
  ],
  "header": {},
  "filters": {
    "op": "text",
    "conditions": [
      {
        "op": "text",
        "lhs": "text",
        "rhs": "text"
      }
    ]
  },
  "max_retry": 1,
  "teams": [
    "text"
  ],
  "is_all_teams_configured": true,
  "custom_payload_template_slug": "text",
  "language": "text",
  "mail_ids": [
    "text"
  ],
  "trigger_type": "text",
  "custom_payload": "text",
  "payload_type": "text"
}
{
  "data": {
    "id": "text",
    "created_at": "text",
    "updated_at": "text",
    "organization_id": "text",
    "author_id": "text",
    "slug": "text",
    "version": "text",
    "name": "text",
    "description": "text",
    "triggers": [
      {
        "event_class": "text",
        "event_type": "text"
      }
    ],
    "urls": [
      {
        "url": "text",
        "method": "text"
      }
    ],
    "header": {},
    "filters": {
      "op": "text",
      "conditions": [
        {
          "op": "text",
          "lhs": "text",
          "rhs": "text"
        }
      ]
    },
    "max_retry": 1,
    "teams": [
      "text"
    ],
    "is_all_teams_configured": true,
    "custom_payload_template_slug": "text",
    "language": "text",
    "mail_ids": [
      "text"
    ],
    "trigger_type": "text",
    "custom_payload": "text",
    "payload_type": "text"
  }
}

Get Webhook By ID

get
/v3/extensions/event-webhooks/{eventWebhookID}

Returns a webhooks details of the given eventWebhookID in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventWebhookIDstringRequired

(Required) event webhook ID

Responses
200

The request has succeeded.

application/json
get/v3/extensions/event-webhooks/{eventWebhookID}
GET /v3/extensions/event-webhooks/{eventWebhookID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "text",
    "created_at": "text",
    "updated_at": "text",
    "organization_id": "text",
    "author_id": "text",
    "slug": "text",
    "version": "text",
    "name": "text",
    "description": "text",
    "triggers": [
      {
        "event_class": "text",
        "event_type": "text"
      }
    ],
    "urls": [
      {
        "url": "text",
        "method": "text"
      }
    ],
    "header": {},
    "filters": {
      "op": "text",
      "conditions": [
        {
          "op": "text",
          "lhs": "text",
          "rhs": "text"
        }
      ]
    },
    "max_retry": 1,
    "teams": [
      "text"
    ],
    "is_all_teams_configured": true,
    "custom_payload_template_slug": "text",
    "language": "text",
    "mail_ids": [
      "text"
    ],
    "trigger_type": "text",
    "custom_payload": "text",
    "payload_type": "text"
  }
}

Update Webhook

put
/v3/extensions/event-webhooks/{eventWebhookID}

Update organization webhook details. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventWebhookIDstringRequired
Body
namestringRequired

Name of the webhook

descriptionstringOptional

Description of the webhook

headerobject · nullableOptional

Headers to be sent with the webhook

max_retryinteger · uint8Optional

Maximum number of retries for the webhook

teamsstring[] · nullableOptional

List of team IDs to which this webhook is applicable

is_all_teams_configuredbooleanOptional

Set to true if the webhook is configured for all teams

custom_payload_template_slugstringOptional

Slug of the custom payload template

languagestringOptional

Language for the webhook payload

mail_idsstring[] · nullableOptional

List of email IDs for notification

trigger_typestringRequired

Type of trigger

custom_payloadstringOptional

Custom payload for the webhook

payload_typestringOptional

Type of payload

Responses
200

The request has succeeded.

application/json
put/v3/extensions/event-webhooks/{eventWebhookID}
PUT /v3/extensions/event-webhooks/{eventWebhookID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 429

{
  "name": "text",
  "description": "text",
  "triggers": [
    {
      "event_class": "text",
      "event_type": "text"
    }
  ],
  "urls": [
    {
      "url": "text",
      "method": "text"
    }
  ],
  "header": {},
  "filters": {
    "op": "text",
    "conditions": [
      {
        "op": "text",
        "lhs": "text",
        "rhs": "text"
      }
    ]
  },
  "max_retry": 1,
  "teams": [
    "text"
  ],
  "is_all_teams_configured": true,
  "custom_payload_template_slug": "text",
  "language": "text",
  "mail_ids": [
    "text"
  ],
  "trigger_type": "text",
  "custom_payload": "text",
  "payload_type": "text"
}
{
  "data": {
    "id": "text",
    "created_at": "text",
    "updated_at": "text",
    "organization_id": "text",
    "author_id": "text",
    "slug": "text",
    "version": "text",
    "name": "text",
    "description": "text",
    "triggers": [
      {
        "event_class": "text",
        "event_type": "text"
      }
    ],
    "urls": [
      {
        "url": "text",
        "method": "text"
      }
    ],
    "header": {},
    "filters": {
      "op": "text",
      "conditions": [
        {
          "op": "text",
          "lhs": "text",
          "rhs": "text"
        }
      ]
    },
    "max_retry": 1,
    "teams": [
      "text"
    ],
    "is_all_teams_configured": true,
    "custom_payload_template_slug": "text",
    "language": "text",
    "mail_ids": [
      "text"
    ],
    "trigger_type": "text",
    "custom_payload": "text",
    "payload_type": "text"
  }
}

Delete Webhook

delete
/v3/extensions/event-webhooks/{eventWebhookID}

Remove webhook from the organization. Upon success, the webhook will be removed from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventWebhookIDstringRequired

(Required) event webhook ID

Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/extensions/event-webhooks/{eventWebhookID}
DELETE /v3/extensions/event-webhooks/{eventWebhookID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated